Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.statetransfer
Class StateTransferFactory

    java.lang.Object
      org.jboss.cache.statetransfer.StateTransferFactory

    public abstract class StateTransferFactory

extends java.lang.Object

Constructor Summary
`StateTransferFactory()`

Method Summary
`static StateTransferGenerator` | `getStateTransferGenerator(TreeCache cache)` Gets the StateTransferGenerator able to handle the given cache instance.
`static StateTransferIntegrator` | `getStateTransferIntegrator(byte[] state, Fqn targetFqn, TreeCache cache)` Gets a StateTransferIntegrator able to handle the given state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateTransferFactory

    public StateTransferFactory()

Method Detail

### getStateTransferGenerator

    public static StateTransferGenerator getStateTransferGenerator(TreeCache cache)

  Gets the StateTransferGenerator able to handle the given cache instance.

  Parameters:
    `cache` - the cache
  Returns:
    the `StateTransferGenerator`

### getStateTransferIntegrator

    public static StateTransferIntegrator getStateTransferIntegrator(byte[] state,
                                                                     Fqn targetFqn,
                                                                     TreeCache cache)
                                                              throws java.lang.Exception

  Gets a StateTransferIntegrator able to handle the given state.

  Parameters:
    `state` - the state
    `targetFqn` - Fqn of the node to which the state will be bound
    `cache` - cache in which the state will be stored
  Returns:
    the `StateTransferIntegrator`.
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.